## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname imageio

Name: python-%{srcname}
Version: 2.37.0
Release: %autorelease
Summary: Python IO of image, video, scientific, and volumetric data formats.
License: BSD-2-Clause
URL: https://imageio.github.io
Source0: %{pypi_source}

BuildArch: noarch
BuildRequires: python3-devel

%global _description %{expand:
Imageio is a Python library that provides an easy interface to read and write a wide range of image data, including animated images, volumetric data, and scientific formats.}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}
BuildRequires: python3-setuptools

%description -n python3-%{srcname}
%_description

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files imageio

%check
# Testing requires image sample, either local or from the internet
%pyproject_check_import -t

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md 
# Exclude files that download binary freeimage library
%exclude %{_bindir}/imageio*

%changelog
## START: Generated by rpmautospec
* Fri Feb 07 2025 Sergio Pascual <sergiopr@fis.ucm.es> - 2.37.0-1
- New release 2.37.0

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.36.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 03 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 2.36.1-1
- New upstream source 2.36.1

* Wed Nov 13 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 2.36.0-1
- New upstream 2.36.0

* Tue Aug 20 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 2.35.1-1
- New upstream source

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.34.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 2.34.2-1
- New upstream source 2.34.2

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 2.34.1-2
- Rebuilt for Python 3.13

* Wed Apr 24 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 2.34.1-1
- New upstream source

* Mon Feb 12 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 2.34.0-1
- Update to version 2.34.0 (rhbz#2263802)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.33.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.33.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.22.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Sergio Pascual <sergiopr@fedoraproject.org> - 2.22.4-1
- New upstream source (2.22.4)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.9.0-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.9.0-2
- Rebuilt for Python 3.10

* Wed Feb 03 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 2.9.0-1
- Initial package

## END: Generated by rpmautospec
